Bug 519221 - Review Request: rfkill - A tool to query the state of RF kill interfaces
Summary: Review Request: rfkill - A tool to query the state of RF kill interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 17:17 UTC by John W. Linville
Modified: 2009-12-23 19:53 UTC (History)
3 users (show)

Fixed In Version: 0.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 17:59:41 UTC
Type: ---
dominik: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description John W. Linville 2009-08-25 17:17:55 UTC
Spec URL: http://linville.fedorapeople.org/rfkill.spec
SRPM URL: http://linville.fedorapeople.org/rfkill-0.1-1.fc11.src.rpm
Description:
rfkill is a small tool to query the state of the rfkill switches,
buttons and subsystem interfaces.

Comment 1 Dominik 'Rathann' Mierzejewski 2009-08-25 22:42:07 UTC
Packaging-wise, it looks fine, except for this:

The spec file says:
License: BSD

However,
rfkill.c has just copyright assignment, no license (=no permission to distribute)
rfkill.h is GPLv2+

Additionally, the text of the license in COPYING is missing the copyright notice that must be (according to the text) retained on all copies of the software.

This must be sorted out before the package can be approved.

Comment 2 Dominik 'Rathann' Mierzejewski 2009-08-25 22:46:00 UTC
Additionally, it doesn't seem to be working out-of-the-box:

$ rfkill list
Can't open RFKILL control device: No such file or directory

strace shows:
open("/dev/rfkill", O_RDONLY)           = -1 ENOENT (No such file or directory)

Comment 3 John W. Linville 2009-08-26 15:30:02 UTC
re: comment 2 -- your kernel doesn't have support for /dev/rfill.  I assure you that it works fine here. :-)

re: comment 1 -- I think rfkill.c would be fine if the COPYING file was a bit more clear.  But the rfkill.h having come from the kernel throws the whole BSD license claim into doubt. :-(  I'll see if I can get that sorted-out upstream...

Comment 5 Tomasz Torcz 2009-09-05 16:02:38 UTC
Debian ITP has IMO better description and short blurb about rfkill. It is clearer for people not familiar with "rfkill" term.

#v+
Description     : tool for enabling and disabling wireless devices

 rfkill is a simple tool for accessing the Linux rfkill device interface,
 which is used to enable and disable wireless networking devices, typically
 WLAN, Bluetooth and mobile broadband.
#v-

Comment 6 Dominik 'Rathann' Mierzejewski 2009-09-13 12:47:30 UTC
(In reply to comment #3)
> re: comment 2 -- your kernel doesn't have support for /dev/rfill.  I assure you
> that it works fine here. :-)

kernel-2.6.30.5-43.fc11.x86_64 here. Which one do I need to have /dev/rfkill?

> re: comment 1 -- I think rfkill.c would be fine if the COPYING file was a bit
> more clear.  But the rfkill.h having come from the kernel throws the whole BSD
> license claim into doubt. :-(  I'll see if I can get that sorted-out
> upstream...  

Excellent! Though I really suggest adding that BSD license to the top of rfkill.c to avoid any confusion in the future.

(In reply to comment #4)
> Spec URL: http://linville.fedorapeople.org/rfkill.spec
> SRPM URL: http://linville.fedorapeople.org/rfkill-0.3-1.fc11.src.rpm  

Looks fine now, although using the improved summary and description suggested by Tomasz above will earn you extra karma. :)
APPROVED.

Comment 7 John W. Linville 2009-09-14 14:11:34 UTC
/dev/rfkill arrives in 2.6.31 kernels.

I'll look at the summary and description stuff...thanks!

Comment 8 John W. Linville 2009-09-14 14:15:08 UTC
New Package CVS Request
=======================
Package Name: rfkill
Short Description: A tool to query the state of RF kill interfaces
Owners: linville
Branches: F-11
InitialCC: linville

Comment 9 Dennis Gilmore 2009-09-15 01:08:39 UTC
CVS Done

Comment 10 Fedora Update System 2009-09-15 17:59:42 UTC
rfkill-0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rfkill-0.3-2.fc11

Comment 11 Fedora Update System 2009-09-16 20:31:16 UTC
rfkill-0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 John W. Linville 2009-12-22 16:25:31 UTC
Package Change Request
======================
Package Name: rfkill
New Branches: EL-5
Owners: linville

Comment 13 Dennis Gilmore 2009-12-23 19:53:36 UTC
CVS done


Note You need to log in before you can comment on or make changes to this bug.